﻿@page
@model Orgatron.Pages.Evenements.HistoriqueModel

@{
    ViewData["Title"] = "Index";
}

<h1>@Model.Titre</h1>

@if (Model.Partie.Count() > 0)
{

@if ((await AuthorizationService.AuthorizeAsync(User, Model.Partie[0].Evenement, "EstCreateurEvenement")).Succeeded)
{
    <a asp-page="/Parties/Creer" asp-route-id="@Model.Partie[0].Evenement.Id">
        <input type="button" class="btn btn-primary" value="Creer une partie" />
    </a>
}
<h2>Parties en construction</h2>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Partie[0].Jeu)
            </th>
            <th>
                Participants
            </th>
            <th>
                Créée
            </th>
            <th>
                Lien
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Partie.Where(p => p.Etat == Models.EtatPartie.Created))
        {
            <tr>
                <td>
                    @Html.DisplayFor(model => item.Jeu.Nom)
                </td>
                <td>
                    <p>Abritre : @item.Arbitre.UserName</p>
                    <ul>
                        @foreach (var joueur in item.Participants)
                        {
                            <li>@joueur.User.UserName (Equipe @joueur.Equipe)</li>
                        }
                    </ul>
                </td>
                <td>
                    @(item.DateCreation.ToString("HH'h 'm'm 's's'"))
                </td>
                <td>
                    <a asp-page="/Parties/Details" asp-route-id="@item.Id">
                        <input type="button" class="btn btn-primary" value="Details" />
                    </a>
                </td>
                @if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
                {
                    <td>
                        <a asp-page="/Parties/Modifier" asp-route-id="@item.Id">
                            <input type="button" class="btn btn-primary" value="Modifier" />
                        </a>
                    </td>
                }
            </tr>
        }
    </tbody>
</table>

<h2>Parties en cours</h2>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Partie[0].Jeu)
            </th>
            <th>
                Participants
            </th>
            <th>
                Debut
            </th>
            <th>
                Lien
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Partie.Where(p => p.Etat == Models.EtatPartie.Started).OrderByDescending(p => p.DateDebut))
        {
            <tr>
                <td>
                    @Html.DisplayFor(model => item.Jeu.Nom)
                </td>
                <td>
                    <p>Abritre : @item.Arbitre.UserName</p>
                    <ul>
                        @foreach (var joueur in item.Participants)
                        {
                            <li>@joueur.User.UserName (Equipe @joueur.Equipe)</li>
                        }
                    </ul>
                </td>
                <td>
                    @(item.DateDebut.ToString("HH'h 'm'm 's's'"))
                </td>
                <td>
                    <a asp-page="/Parties/Details" asp-route-id="@item.Id">
                        <input type="button" class="btn btn-primary" value="Details" />
                    </a>
                </td>
                @if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
                {
                    <td>
                        <a asp-page="/Parties/Modifier" asp-route-id="@item.Id">
                            <input type="button" class="btn btn-primary" value="Modifier" />
                        </a>
                    </td>
                }
            </tr>
        }
    </tbody>
</table>

<h2>Parties terminées</h2>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Partie[0].Jeu)
            </th>
            <th>
                Participants
            </th>
            <th>
                Terminée
            </th>
            <th>
                Lien
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Partie.Where(p => p.Etat == Models.EtatPartie.Ended).OrderByDescending(p => p.DateFin))
        {
            <tr>
                <td>
                    @Html.DisplayFor(model => item.Jeu.Nom)
                </td>
                <td>
                    <p>Abritre : @item.Arbitre.UserName</p>
                    <ul>
                        @foreach (var joueur in item.Participants)
                        {
                            <li>@joueur.User.UserName (@joueur.Points pts)</li>
                        }
                    </ul>
                </td>
                <td>
                    @(item.DateFin.ToString("HH'h 'm'm 's's'"))
                </td>
                <td>
                    <a asp-page="/Parties/Details" asp-route-id="@item.Id">
                        <input type="button" class="btn btn-primary" value="Details" />
                    </a>
                </td>
                @if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
                {
                    <td>
                        <a asp-page="/Parties/Modifier" asp-route-id="@item.Id">
                            <input type="button" class="btn btn-primary" value="Modifier" />
                        </a>
                    </td>
                }
            </tr>
        }
    </tbody>
</table>

@if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
{
    <h2>Parties Abandonnées</h2>

    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Partie[0].Jeu)
                </th>
                <th>
                    Participants
                </th>
                <th>
                    Créée
                </th>
                <th>
                    Lien
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Partie.Where(p => p.Etat == Models.EtatPartie.Cancelled))
            {
                <tr>
                    <td>
                        @Html.DisplayFor(model => item.Jeu.Nom)
                    </td>
                    <td>
                        <p>Abritre : @item.Arbitre.UserName</p>
                        <ul>
                            @foreach (var joueur in item.Participants)
                            {
                                <li>@joueur.User.UserName (Equipe @joueur.Equipe)</li>
                            }
                        </ul>
                    </td>
                    <td>
                        @(item.DateCreation.ToString("HH'h 'm'm 's's'"))
                    </td>
                    <td>
                        <a asp-page="/Parties/Details" asp-route-id="@item.Id">
                            <input type="button" class="btn btn-primary" value="Details" />
                        </a>
                    </td>
                   <td>
                        <a asp-page="/Parties/Modifier" asp-route-id="@item.Id">
                            <input type="button" class="btn btn-primary" value="Modifier" />
                        </a>
                    </td>
                </tr>
            }
        </tbody>
    </table>
}

}
else
{
    <p>Aucune partie n'a encore commencé</p>
}